import React, { Component } from 'react';
import MoreVertIcon from '@material-ui/icons/MoreVert';
import ArrowBackIosIcon from '@material-ui/icons/ArrowBackIos';
import Menu from '@material-ui/core/Menu';
import MenuItem from '@material-ui/core/MenuItem';

import './index.scss';
export default class Header extends Component {
  constructor(props) {
    super(props);
    this.state = {
      anchorEl: null,
    };
  }

  handleClick = (event) => {
    this.setState({
      anchorEl: event.currentTarget,
    });
  };

  handleClose = () => {
    this.setState({
      anchorEl: null,
    });
  };

  back = () => {
    window.history.back();
  };
  render() {
    const { page, setPage } = this.props;
    const { anchorEl } = this.state;
    return (
      <div className="chat-header d-flex">
        <div onClick={() => (page === 'chatroom' ? this.back() : setPage('chatroom'))}>
          <ArrowBackIosIcon style={{ color: 'white', width: 32, height: 32, marginTop: 4 }} />
        </div>
        <div className="chat-header__title d-flex">
          <h1 style={{ fontFamily: 'IRANSansNumeralBold' }}>ایما</h1>
          <span></span>
          <h1 style={{ fontSize: 17 }}>داستانبازی</h1>
        </div>
        <div>
          <div>
            <MoreVertIcon
              aria-controls="simple-menu"
              aria-haspopup="true"
              onClick={this.handleClick}
              style={{ color: 'white', width: 38, height: 38 }}
            />
          </div>
          <Menu
            id="simple-menu"
            anchorEl={anchorEl}
            keepMounted
            open={Boolean(anchorEl)}
            onClose={() => this.handleClose()}
            style={{ direction: 'rtl', fontFamily: 'IRANSansNumeralLight' }}
          >
            <MenuItem
              style={{ fontFamily: 'IRANSansNumeralLight' }}
              onClick={() => this.handleClose()}
            >
              پروفایل
            </MenuItem>
            <MenuItem
              style={{ fontFamily: 'IRANSansNumeralLight' }}
              onClick={() => this.handleClose()}
            >
              حساب کاربری
            </MenuItem>
            <MenuItem
              style={{ fontFamily: 'IRANSansNumeralLight' }}
              onClick={() => this.handleClose()}
            >
              خروج
            </MenuItem>
          </Menu>
        </div>
      </div>
    );
  }
}
