import React, { Component } from 'react';
import { MapContainer, TileLayer, Marker, Tooltip, Circle } from 'react-leaflet';
import L from 'leaflet';
import NavigationIcon from '@material-ui/icons/Navigation';
import DirectionsWalkIcon from '@material-ui/icons/DirectionsWalk';
import MyLocationIcon from '@material-ui/icons/MyLocation';

import blueM from '../../../../assets/icons/marker-blue.png';
// import greenM from '../../../../assets/icons/marker-green.png';

import './Location.scss';
// const items = [{lat :35.73366050852552, lng : 51.414611756817976}];
// const selected = {};
// const green = new L.Icon({
//   iconUrl: greenM,
//   iconRetinaUrl: greenM,
//   popupAnchor:  [-0, -0],
//   iconSize: [25,38],
// });
const blue = new L.Icon({
  iconUrl: blueM,
  iconRetinaUrl: blueM,
  popupAnchor: [-0, -0],
  iconSize: [25, 38],
});

export default class Location extends Component {
  state = {};
  currentLocation = (map) => {
    this.setState({
      map: map,
    });
    this.map = map;
    map.locate({ setView: true });
    map.setMaxZoom(15);
    map.on('locationfound', (e) => {
      //  map.setZoom(13)
      this.setState({ lat: e.latitude, lng: e.longitude, accuracy: e.accuracy });
    });
  };
  render() {
    return (
      <div className="location" style={{ display: 'block !important', height: '100%' }}>
        <MapContainer
          whenCreated={(map) => {
            this.currentLocation(map);
          }}
          ref={this.myRef}
          center={[35.73366050852552, 51.414611756817976]}
          zoom={14}
          scrollWheelZoom={true}
          style={{ height: '100%', direction: 'ltr' }}
        >
          {/* <LocateControlC > </LocateControlC> */}
          {/* {this.state.c ? <LocateControl options={locateOptions} startDirectly/>:null} */}
          <TileLayer
            attribution=""
            url="https://{s}.basemaps.cartocdn.com/light_all/{z}/{x}/{y}{r}.png"
            // https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png
          />
          <Marker
            position={[35.73366050852552, 51.414611756817976]}
            icon={blue}
            eventHandlers={
              {
                // click: () => {
                //   this.seter("value",e.id)
                // },
              }
            }
            onClick={(e) => console.log('sss')}
          >
            <Tooltip direction="top" opacity={1}>
              {'map'}
            </Tooltip>
          </Marker>
          {/* {
            items.map((e) => (
              <Marker position={[e.lat, e.lon]} 
              icon={selected  && e.id==selected.id?green:blue}
              eventHandlers={{
                click: () => {
                  this.seter("value",e.id)
                },
              }}
              onClick={e=>console.log("sss")}>
                <Tooltip direction="top" opacity={1} >
                  {e.name}

                </Tooltip>
              </Marker>
            ))} */}
          {this.state.lat && this.state.lng && (
            <>
              <Circle
                center={[this.state.lat, this.state.lng]}
                pathOptions={{ fillColor: 'blue' }}
                radius={this.state.accuracy}
              />
              <Marker
                position={[this.state.lat, this.state.lng]}
                icon={blue}
                eventHandlers={
                  {
                    // click: () => {
                    //   this.seter("value",e.id)
                    // },
                  }
                }
                onClick={(e) => console.log('sss')}
              >
                <Tooltip direction="top" opacity={1}>
                  {'map'}
                </Tooltip>
              </Marker>
            </>
          )}
        </MapContainer>
        <div className="location__footer d-flex flex-row-reverse">
          <div
            className="location__footer--icon"
            onClick={(map) => {
              this.currentLocation(this.state.map);
            }}
          >
            <NavigationIcon style={{ color: 'white', width: 35, height: 35 }} />
          </div>
          <span>10 کیلومتر</span>
          <div className="location__footer--time d-flex flex-row-reverse align-items-center">
            <div>10 دقیقه</div>
            <DirectionsWalkIcon
              style={{ color: 'white', width: 30, height: 30, marginRight: 5, marginLeft: 10 }}
            />
          </div>
        </div>
        <div className="location__current d-flex justify-content-center align-items-center">
          <MyLocationIcon style={{ color: 'white', width: 35, height: 35 }} />
        </div>
      </div>
    );
  }
}
