import React, { Component } from 'react';
import { Link } from 'react-router-dom';
import { toast } from 'react-toastify';

import HomeIcon from '@material-ui/icons/Home';
import CloseIcon from '@material-ui/icons/Close';
import ExitToAppIcon from '@material-ui/icons/ExitToApp';
import SettingsIcon from '@material-ui/icons/Settings';
import UpdateIcon from '@material-ui/icons/Update';
import ReportIcon from '@material-ui/icons/Report';
import ShareIcon from '@material-ui/icons/Share';
import { logout } from '../../../../Redux/actions/user';
import { connect } from 'react-redux';

import './NavbarDrawer.scss';
class NavbarDrawer extends Component {
  constructor(props) {
    super(props);
    this.state = {
      links: [
        {
          name: 'صفحه اصلی',
          link: '/',
          icon: <HomeIcon style={{ color: 'white', width: 35, height: 35, marginLeft: 10 }} />,
          toast: '',
        },
        {
          name: 'تنظیمات',
          link: '/',
          icon: <SettingsIcon style={{ color: 'white', width: 35, height: 35, marginLeft: 10 }} />,
          toast: '',
        },
        {
          name: 'به روز رسانی',
          link: '/',
          icon: <UpdateIcon style={{ color: 'white', width: 35, height: 35, marginLeft: 10 }} />,
          toast: '',
        },
        {
          name: 'همرسانی',
          link: '/',
          icon: <ShareIcon style={{ color: 'white', width: 35, height: 35, marginLeft: 10 }} />,
          toast: '',
        },
        {
          name: 'گزارش ایراد',
          link: '/',
          icon: <ReportIcon style={{ color: 'white', width: 35, height: 35, marginLeft: 10 }} />,
          toast: '',
        },
        {
          name: 'خروج',
          link: '/',
          icon: <ExitToAppIcon style={{ color: 'white', width: 35, height: 35, marginLeft: 10 }} />,
          toast: '',
          onClick: this.props.logout,
        },
      ],
    };
  }

  render() {
    return (
      <div className="navbar-drawer d-flex flex-column">
        <div className="navbar-drawer__header d-flex">
          <div className="navbar-drawer__header--right d-fex flex-column">
            <h1>رضا</h1>
            <div>منوی دسترسی سریع</div>
          </div>
          <CloseIcon style={{ color: 'white', width: 40, height: 40 }} />
        </div>
        <div className="navbar-drawer__bottom mt-1">
          {this.state.links.map((item, key) => (
            <Link
              to={item.link}
              key={key}
              onClick={item.onClick || (() => (item.link === '' ? toast.error(item.toast) : null))}
            >
              <div className="navbar-drawer__bottom--link d-flex">
                {item.icon}
                <div>{item.name}</div>
                {item.badge && <div class="badge">{item.badge}</div>}
              </div>
            </Link>
          ))}

          {/* <div className="navbar-drawer__bottom--version d-flex">
            <span>نسخه نرم‌افزار 3.1</span>
          </div> */}
        </div>
      </div>
    );
  }
}
export default connect((state) => ({ isLogin: state.user.isLogin }), { logout })(NavbarDrawer);
